This is our old Q&A Site. Please post any new questions and answers at ask.wireshark.org.

I'm trying to build a 64-bit version of Wireshark 1.12.0 with Visual Studio 2012. I've installed qt-opensource-windows-x86-msvc2010_opengl-5.3.1.exe and I think that's where the problem lies. I get the error below. I didn't see a 64-bit version of QT 5.3.1 for VS2010. Please tell me I don't have to build QT.

Qt5Widgets.lib(Qt5Widgets.dll) : fatal error LNK1112: module machine type 'X86' conflicts with target machine type 'x64' NMAKE : fatal error U1077: '"C:\Program Files (x86)\Microsoft Visual Studio 10.0 \VC\BIN\x86_amd64\link.EXE"' : return code '0x458' Stop. NMAKE : fatal error U1077: '"C:\Program Files (x86)\Microsoft Visual Studio 10.0 \VC\BIN\nmake.EXE"' : return code '0x2' Stop.

Thanks, Brian

asked 21 Aug '14, 11:45

brwiese's gravatar image

brwiese
26111211
accept rate: 50%

The official GUI for Wireshark 1.12 stays GTK as the Qt port is an ongoing work done in master branch (aka Wireshark 1.99). It lacks a lot of features yet so it's probably better to stick to GK. But if you really want to build qtshark, as you said there is no official x64 Digia package for MSVC2010. You can still find an old 5.1.1 x64 package compiled for MSVC2010 here: http://anonsvn.wireshark.org/viewvc/tags/2014-07-27/packages/Qt-5.1.1-MSVC2010-win64-ws.zip?view=co&revision=407&root=Wireshark-win64-libs

(21 Aug '14, 12:20) Pascal Quantin

As per the comment from @Pascal Quantin, as we move forward with the QT port, the "normal" toolchain on Windows will be Visual Studio 2013. Digia have already dropped VS2012 builds and are likely to do the same with VS2010 builds, even for x86, so you should try to move onto VS2013.

The automated buildbots for Windows are now compiling with VS2013.

permanent link

answered 21 Aug '14, 14:30

grahamb's gravatar image

grahamb ♦
19.8k330206
accept rate: 22%

edited 21 Aug '14, 14:30

Thanks, I wasn't quite clear on that. What does that mean for the 1.12 series? Will it use GTK by default and the next stable series (1.14 ?) use QT.

Brian

(26 Aug '14, 13:39) brwiese

Yes, for 1.12 GTK is the default and some binary installs will also include the QT version, i.e. the wireshark binary will be GTK, and the qtshark binary wil be QT.

Post 1.12, 1.99 and 2.0 will use QT as the default, so the wireshark binary will be QT and (probably) gtkshark will be GTK.

(26 Aug '14, 14:19) grahamb ♦
Your answer
toggle preview

Follow this question

By Email:

Once you sign in you will be able to subscribe for any updates here

By RSS:

Answers

Answers and Comments

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "title")
  • image?![alt text](/path/img.jpg "title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Question tags:

×25
×10
×4
×2
×1

question asked: 21 Aug '14, 11:45

question was seen: 2,978 times

last updated: 26 Aug '14, 14:19

p​o​w​e​r​e​d by O​S​Q​A